Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.plugins.tomcat
[Java] Class TomcatKillSwitch

    java.lang.Object
      org.grails.plugins.tomcat.TomcatKillSwitch

All Implemented Interfaces:
  java.lang.Runnable

    public class TomcatKillSwitch

Allows the tomcat server to be killed by pinging a port one greater than the server port.

Authors:
  Graeme Rocher

Since:
  2.1

Field Summary
`static java.lang.String` | `TOMCAT_KILL_SWITCH_ACTIVE`

Constructor Summary
`TomcatKillSwitch(org.apache.catalina.startup.Tomcat tomcat, int serverPort)`

Method Summary
`static boolean` | `isActive()`
`void` | `run()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### TOMCAT_KILL_SWITCH_ACTIVE

    public static final java.lang.String TOMCAT_KILL_SWITCH_ACTIVE

Constructor Detail

### TomcatKillSwitch

    public TomcatKillSwitch(org.apache.catalina.startup.Tomcat tomcat, int serverPort)

Method Detail

### isActive

    public static boolean isActive()

### run

    public void run()

Groovy Documentation